# FairMQ: fair::mq::sdk::cmd::StateChange Struct Reference

fair::mq::sdk::cmd::StateChange Struct Reference
Inheritance diagram for fair::mq::sdk::cmd::StateChange:
[legend]
Collaboration diagram for fair::mq::sdk::cmd::StateChange:
[legend]

## Public Member Functions

| StateChange (const std::string &deviceId, const uint64_t taskId, const State lastState, const State currentState)
std::string | GetDeviceId () const
void | SetDeviceId (const std::string &deviceId)
uint64_t | GetTaskId () const
void | SetTaskId (const uint64_t taskId)
fair::mq::State | GetLastState () const
void | SetLastState (const fair::mq::State state)
fair::mq::State | GetCurrentState () const
void | SetCurrentState (const fair::mq::State state)
Public Member Functions inherited from fair::mq::sdk::cmd::Cmd
| Cmd (const Type type)
Type | GetType () const

The documentation for this struct was generated from the following file:

- fairmq/sdk/commands/Commands.h

privacy